
LABINVENT (InventIrap) - Anomalie #5088
Actions # 4970 (Nouveau): ******* FEATURE - GENERAL *******
GENERAL - BD et Model differences : refaire une synchro BD <==> Model avec "cake bake" ?
06/02/2017 06:31 pm - Etienne Pallier

Status: Nouveau Start date: 06/02/2017
Priority: Bas Due date:
Assignee: % Done: 40%
Category: GENERAL Estimated time: 0.00 hour
Target version: version 2.13.x (2019) - Très configurable et avec LDAP CACHESpent time: 2.00 hours
Description

BD:
- Renommer id_gestionnaire en gestionnaire_id
- ajouter les foreignkey dans les script sql db-update faits par Thibault 
(idem aussi pour formule_id dans le script du LATMOS)

MODEL : 
ajouter TOUS les belongsTo + hasMany manquants dans Models (y-compris pour formule_id du Latmos) :
Exemple:
user hasMany materiel
+
materiel belongsTo user

Related issues:
Copied to Anomalie # 5090: GENERAL - BD script sql db-update du LATMOS à amél... Fermé 06/02/2017
Copied to Evolution # 5100: GENERAL - BD migrations pour rester synchro entre... En cours 06/02/2017

History
#1 - 06/06/2017 10:39 am - Etienne Pallier
- Subject changed from GENERAL - BD et Model bugfixes to GENERAL - BD script sql db-update du LATMOS à améliorer pour les BD existantes 
(comme l'IRAP et l'IAS par exemple...)
- Assignee changed from Thibaud Ajas to Etienne Pallier
- Estimated time set to 2.00

#2 - 06/06/2017 10:40 am - Etienne Pallier
- Subject changed from GENERAL - BD script sql db-update du LATMOS à améliorer pour les BD existantes (comme l'IRAP et l'IAS par exemple...) to 
GENERAL - BD et Model bugfixes
- Assignee changed from Etienne Pallier to Thibaud Ajas
- Estimated time deleted (2.00)

#3 - 06/09/2017 11:24 am - Etienne Pallier
- Subject changed from GENERAL - BD et Model bugfixes to GENERAL - BD et Model bugfixes : refaire une synchro BD <==> Model avec "cake 
bake" ?
- Assignee deleted (Thibaud Ajas)
- Priority changed from Immédiat to Normal
- Target version changed from version 2.6.x to version 2.7.x
- % Done changed from 0 to 40

#4 - 06/09/2017 11:31 am - Etienne Pallier
- Subject changed from GENERAL - BD et Model bugfixes : refaire une synchro BD <==> Model avec "cake bake" ? to GENERAL - BD et Model 
differences : refaire une synchro BD <==> Model avec "cake bake" ?
#5 - 07/24/2018 03:15 pm - Anonymous
- Priority changed from Normal to Bas

#6 - 07/24/2018 04:41 pm - Anonymous
- Category set to GENERAL

#7 - 12/23/2018 05:00 pm - Etienne Pallier
- Target version changed from version 2.7.x to version 2.9.x à 2.12.x (2018) - Divers

#8 - 06/07/2019 12:27 pm - Etienne Pallier
- Target version changed from version 2.9.x à 2.12.x (2018) - Divers to version 2.13.x (2019) - Très configurable et avec LDAP CACHE
